class Wellington < Formula
  desc "Project-focused tool to manage Sass and spriting"
  homepage "https://github.com/wellington/wellington"
  url "https://github.com/wellington/wellington/archive/v1.0.5.tar.gz"
  sha256 "e2379722849cdd8e5f094849290aacba4b789d4d65c733dec859565c728e7205"
  license "Apache-2.0"
  head "https://github.com/wellington/wellington.git", branch: "master"

  # upstream go1.20 support report, https://github.com/wellington/wellington/issues/223
  deprecate! date: "2023-08-20", because: :unmaintained

  # Bump to 1.20 on the next release, if possible.
  depends_on "go@1.19" => :build

  def install
    ldflags = "-X github.com/wellington/wellington/version.Version=#{version}"
    system "go", "build", *std_go_args(output: bin/"wt", ldflags: ldflags), "wt/main.go"
  end

  test do
    s = "div { p { color: red; } }"
    expected = <<~EOS
      /* line 1, stdin */
      div p {
        color: red; }
    EOS
    assert_equal expected, pipe_output("#{bin}/wt --comment", s, 0)
  end
end
